Announcement

Collapse
No announcement yet.

Trying to switch from php3 to php

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Trying to switch from php3 to php

    I set up my board with php3 at first and realized after that it was a mistake. (It seems that and extras that come out are php NOT php3) So I took a backup of php3 and installed php, and restored. now all the links on my site are php3...Any advice on this would be great!..
    Thanks!

  • #2
    Upload upgrade15.php to your /admin directory and type the following into your browser:
    http://www.yoursite.com/forums/admin/upgrade15.php?step=3
    DO NOT click [next] on this screen! Just go to your Admin CP by typing in the URL (http://www.yoursite.com/forums/admin/index.php)
    Now go to Templates > Search > Search & Replace and type the following in the boxes:
    Find: .php3
    Replace with: .php
    Note the . in the above - make sure you type them!

    This should make everything work correctly.

    Comment


    • #3
      Why is the upgrade step necessary? Wouldn't the search/replace be sufficient?
      **********************************
      Golden Age Mysteries Forum
      - for fans of mysteries in the classic tradition.
      **********************************

      Comment


      • #4
        Im not sure why but it worked excellent, on a side note..which files should remain in admin folder in a standard setup?

        Comment


        • #5
          Search + Replace only searches your custom templates. Why? Because if it makes a change ("replace") to a template it has to create a custom version. Since it is searching all template sets and it doesn't know if you want a custom version for a particular set, it just doesn't search non-customized templates. The upgrade step takes the information from vbulletin.style that's sitting in the /admin directory and replaces the "master" set of templates in the database (just like what happens when you upgrade) with the ones from the file, in this case replacing the default templates with .php3 with ones that have .php links. Make sense?

          The files that can & should be deleted are the upgradex.php/upgradexx.php (basically any file that starts with upgrade), config.php.new (if it's there) and install.php. All the rest should stay. Well, vbulletin.style is optional but it won't hurt to have it there.

          Comment


          • #6
            Yeah, that makes sense. To make sure I understand, the steps would be:

            1. Delete all .php3 files on server
            2. Upload all 2.2.2 vbulletin files
            3. run http://www.yoursite.com/forums/admin...e15.php?step=3
            4. do the search and replace of .php3 with .php via AdminCP

            Right?

            Dave
            **********************************
            Golden Age Mysteries Forum
            - for fans of mysteries in the classic tradition.
            **********************************

            Comment


            • #7
              Yup.

              Comment


              • #8
                Should it work with 2.2.3?

                I tried the same process with 2.2.3 .php3 files to .php. After I delete the old files and copy the .php files, when I try to run upgrade15.php step 3, all I get is a blank white page, and I get the same when trying to access any forum page after that.

                Any suggestions on how I can make the change, or is there something I missed out?

                regards

                Hamish

                Comment


                • #9
                  try runnin gupgrade17 instead

                  I did everything thatwas listed here and my control panel worked but the forums stil had php3 links. I had to download my vbulletin.styles file, find and replace all php3's in there (hundreds of them) and then re upload that.

                  Worked after that

                  Comment


                  • #10
                    it may have been easier to use the find/replace form the admin control panel to find .php3 and replace with .php
                    **********************************
                    Golden Age Mysteries Forum
                    - for fans of mysteries in the classic tradition.
                    **********************************

                    Comment


                    • #11
                      I tried that with no luck...

                      Comment


                      • #12
                        I did use the one in the admin control panel and it did not work. I had to download the file and sue a program to find and replace them, then re-upload the file.

                        Comment


                        • #13
                          tubedogg,

                          I would like to do the same thing. I am running 224. Should i still run upgrade15.php?

                          Thanks,
                          Netman
                          http://www.maxxfusion.com

                          Comment


                          • #14
                            No you should run upgrade18.php instead.

                            Comment


                            • #15
                              Thanks, I will try it in the morning.
                              http://www.maxxfusion.com

                              Comment

                              widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                              Working...
                              X